package com.tofly.qualitycontrol.exception;

/**
 * 服务调用自定义异常
 *
 * @author Zev
 */
public class QualityControlFeignException extends Exception {

	private static final long serialVersionUID = 1L;
	/**
	 * 异常对应的返回码
	 */
	private Integer code;
	/**
	 * 异常对应的描述信息
	 */
	private String desc;

	public QualityControlFeignException() {
		super();
	}

	public QualityControlFeignException(String desc) {
		super(desc);
		this.desc = desc;
	}

	public QualityControlFeignException(Integer code,String desc) {
		super();
		this.code = code;
		this.desc = desc;
	}

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
